import { APIResponse, api } from "../API/API";

/**
 * Changes the name of a project
 * @param {string} props.projectName - Current project name
 * @param {string} props.newProjectName - New project name
 * @returns {void} - Nothing
 */
export default function ChangeProjectName(props: {
  projectName: string;
  newProjectName: string;
}): void {
  if (props.projectName === "" || props.projectName === props.newProjectName) {
    alert("You have to give a new name\n\nName not changed");
    return;
  }
  api
    .changeProjectName(
      props.projectName,
      props.newProjectName,
      localStorage.getItem("accessToken") ?? "",
    )
    .then((response: APIResponse<string>) => {
      if (response.success) {
        alert("Name changed successfully");
        location.reload();
      } else {
        alert("Name not changed, name could be taken");
        console.error(response.message);
      }
    })
    .catch((error) => {
      alert("Name not changed");
      console.error("An error occurred during change:", error);
    });
}
