import { APIResponse, api } from "../API/API";

/**
 * Changes the password of a user
 * @param {string} props.username - The username of the user
 * @param {string} props.newPassword - The new password
 * @returns {void} - Nothing
 */
export default function ChangeUserPassword(props: {
  username: string;
  newPassword: string;
}): void {
  if (props.username === localStorage.getItem("username")) {
    alert("You cannot change admin password");
    return;
  }
  api
    .changeUserPassword(
      props.username,
      props.newPassword,
      localStorage.getItem("accessToken") ?? "",
    )
    .then((response: APIResponse<string>) => {
      if (response.success) {
        alert("Password changed successfully");
        location.reload();
      } else {
        alert("Password not changed");
        console.error(response.message);
      }
    })
    .catch((error) => {
      alert("Password not changed");
      console.error("An error occurred during change:", error);
    });
}
